package com.ecep.contract.controller.table.cell;

import static com.ecep.contract.SpringApp.getBean;

import com.ecep.contract.model.ContractKind;
import com.ecep.contract.service.ContractKindService;
import com.ecep.contract.service.IEntityService;

public class ContractKindTableCell<V> extends AsyncUpdateTableCell<V, ContractKind> {

    public ContractKindTableCell() {
    }

    public ContractKindTableCell(ContractKindService contractService) {
        setService(contractService);
    }

    @Override
    protected IEntityService<ContractKind> getServiceBean() {
        return getBean(ContractKindService.class);
    }


}
